Skip to navigation

Get ProcedureRun by ID

Beta
Get a single ProcedureRun by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

procedure_run_idstringRequired
ID of the ProcedureRun.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Query parameters

returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
archiveReasonstring or nullOptional
archivedbooleanOptional
conditionsstringOptionalformat: "uri"
An ordered list of the conditions that are part of this ProcedureRun.
createdAtstringOptional
creatorobjectOptional
descriptionstringOptional
idstringOptional
methodExecutionInstancesstringOptionalformat: "uri"
modifiedAtstringOptional
namestringOptional
procedureFlowchartConfigVersionobject or nullOptional
A simplified view of the flowchart config for this run. This is the preferred way to access the flowchart config.
procedureTypeenumOptional
Allowed values:

Errors

400
Procedure Run Get Request Bad Request Error
403
Procedure Run Get Request Forbidden Error
404
Procedure Run Get Request Not Found Error
429
Procedure Run Get Request Too Many Requests Error
500
Procedure Run Get Request Internal Server Error